#include <avr/io.h>
#include <util/delay.h>

#include "mylcd.h"
#include "small_font.h"
#include "mega.h"
#include "image_load.h"

int main (void)
{
	uint8_t loop;

	//init lcd
	lcd_init();
	lcd_clear();

	// draw sandwatch
	lcd_draw_fullscreen_bmp(img);

	// draw progressbar
	lcd_draw_rect(22,23,100,16,BLACK);		
	for(loop=6;loop<=96;loop+=10)
	{
		_delay_ms(40);
		lcd_fill_rect (24,25,loop,12,BLACK);	// fill progressbar
	}		
	for(loop=0;loop<=100;loop++,_delay_ms(40));



	
	lcd_clear();				// clear screen
	lcd_set_cursor(0,LINE0);	// set cursor position
	lcd_putc(small_font,'1');	// draw some singel chars
	lcd_putc(small_font,'2');
	lcd_putc(small_font,'3');

	lcd_set_cursor(0,LINE1);					// new start position
	lcd_puts(small_font,"String using RAM");	// draw string using internal ram (better use lcd_puts_p)
	lcd_draw_line(0,LINE2,127,LINE2,BLACK);		// draw a line under the text

	lcd_set_cursor(0,LINE2+1);							// you can write text were you want (not only on lines)
	lcd_puts_p(small_font,PSTR("String from FLASH"));	// put string from flash memory
	
	lcd_set_cursor(30,LINE3+1);										// new pos
	lcd_puts_p(small_font,PSTR("String is bigger than screen"));	// strings bigger than the screen don't cause problems (the are cleanly cutted)

	lcd_set_cursor(10,LINE3+2);										// new pos
	lcd_puts_p(mega,PSTR("1"));										// a very big char

	lcd_set_cursor(30,LINE4+1);										// new pos
	lcd_puts_p(small_font,PSTR("You can use big Fonts"));			// mor text
	
	lcd_draw_rect(30,40,20,20,BLACK);	// draw a rectangle

	lcd_fill_rect(52,40,20,20,BLACK);	// a black filled rectangle
	lcd_fill_rect(52,40,10,10,WHITE);	// put two white rectangles into it
	lcd_fill_rect(62,50,10,10,WHITE);

	

	lcd_fill_rect(74,40,20,20,BLACK);	// do it again with a border
	lcd_fill_rect(74,40,10,10,WHITE);
	lcd_fill_rect(84,50,10,10,WHITE);
	lcd_draw_rect(74,40,20,20,BLACK);

	for(loop=0;loop<255;loop++,_delay_ms(40));

	lcd_clear();						// a new screen with text

	lcd_set_cursor(0,LINE2);
	lcd_puts_p(small_font,PSTR("Feel free to use this !"));
	lcd_set_cursor(0,LINE3);
	lcd_puts_p(small_font,PSTR("Everything is under GNU-GPL"));

	lcd_set_cursor(0,LINE6);
	lcd_puts_p(small_font,PSTR("Andre Fabricius --- 2008"));
	lcd_set_cursor(0,LINE7);
	lcd_puts_p(small_font,PSTR("mailto: master.andre@web.de"));

	for(loop=0;loop<=100;loop++,_delay_ms(40));
	lcd_invert();						// invert the hole screen an put it in inverted mode

	lcd_set_cursor(0,LINE0);
	lcd_puts_p(small_font,PSTR("Now we're in inverted mode"));
	lcd_draw_line(0,LINE1,127,LINE1,BLACK);

	for(loop=0;loop<=100;loop++,_delay_ms(40));
	lcd_fill_rect(0,0,127,LINE1,WHITE);	

	for(loop=0;loop<=64;loop++)
	{
		lcd_write_cmd(LCD_DISP_START|loop,CHIP1|CHIP2);	// change start position of first line(looks like its scrolling)
		_delay_ms(40);_delay_ms(40);
		_delay_ms(40);_delay_ms(40);
		_delay_ms(40);_delay_ms(40);
		if (loop==64)loop=0;
	}


}
